JsonParserTokenManager (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.json.parser
[Java] Class JsonParserTokenManager

    java.lang.Object
      org.codehaus.groovy.grails.web.json.parser.JsonParserTokenManager

All Implemented Interfaces:
  JsonParserConstants

    @java.lang.SuppressWarnings("unused")
    public class JsonParserTokenManager
    extends java.lang.Object

Token Manager.

Field Summary
`protected char` | `curChar`
`java.io.PrintStream` | `debugStream` Debug output.
`protected SimpleCharStream` | `input_stream`
`static int[]` | `jjnewLexState` Lex State array.
`static java.lang.String[]` | `jjstrLiteralImages` Token literal values.
`static java.lang.String[]` | `lexStateNames` Lexer state names.

Constructor Summary
`JsonParserTokenManager(SimpleCharStream stream)` Constructor.
`JsonParserTokenManager(SimpleCharStream stream, int lexState)` Constructor.

Method Summary
`void` | `ReInit(SimpleCharStream stream)` Reinitialise parser.
`void` | `ReInit(SimpleCharStream stream, int lexState)` Reinitialise parser.
`void` | `SwitchTo(int lexState)` Switch to specified lex state.
`Token` | `getNextToken()` Get the next Token.
`protected Token` | `jjFillToken()`
`void` | `setDebugStream(java.io.PrintStream ds)` Set debug output.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### curChar

    protected char curChar

### debugStream

    public java.io.PrintStream debugStream

  Debug output.

### input_stream

    protected SimpleCharStream input_stream

### jjnewLexState

    public static final int[] jjnewLexState

  Lex State array.

### jjstrLiteralImages

    public static final java.lang.String[] jjstrLiteralImages

  Token literal values.

### lexStateNames

    public static final java.lang.String[] lexStateNames

  Lexer state names.

Constructor Detail

### JsonParserTokenManager

    public JsonParserTokenManager(SimpleCharStream stream)

  Constructor.

### JsonParserTokenManager

    public JsonParserTokenManager(SimpleCharStream stream, int lexState)

  Constructor.

Method Detail

### ReInit

    public void ReInit(SimpleCharStream stream)

  Reinitialise parser.

### ReInit

    public void ReInit(SimpleCharStream stream, int lexState)

  Reinitialise parser.

### SwitchTo

    public void SwitchTo(int lexState)

  Switch to specified lex state.

### getNextToken

    public Token getNextToken()

  Get the next Token.

### jjFillToken

    protected Token jjFillToken()

### setDebugStream

    public void setDebugStream(java.io.PrintStream ds)

  Set debug output.

Groovy Documentation